org.gjt.sp.jedit.gui

## Interface MutableListModel

All Superinterfaces:
  javax.swing.ListModel

All Known Implementing Classes:
  HistoryModel, KillRing

    public interface MutableListModel
    extends javax.swing.ListModel

Short Description of this class Long Description

### Method Summary

Methods
`void` `insertElementAt(java.lang.Object elem, int index)`
`boolean` `removeElement(java.lang.Object elem)`

### Methods inherited from interface javax.swing.ListModel

`addListDataListener, getElementAt, getSize, removeListDataListener`

### Method Detail

#### removeElement

    boolean removeElement(java.lang.Object elem)

#### insertElementAt

    void insertElementAt(java.lang.Object elem,
                       int index)